﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Runtime.CompilerServices;
using System.Speech.Synthesis;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WindowsFormsApp10
{
    public partial class Form1 : Form
    {
        SpeechSynthesizer engine = new SpeechSynthesizer();
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            //engine.Speak(textBox1.Text);
            engine.SpeakAsync(textBox1.Text);
        }

        private void button2_Click(object sender, EventArgs e)
        {
            foreach(InstalledVoice voice in engine.GetInstalledVoices())
            {
                richTextBox1.AppendText(voice.VoiceInfo.Name + Environment.NewLine);
            }
        }

        private void button3_Click(object sender, EventArgs e)
        {
            engine.SelectVoice("Microsoft Zira Desktop");
        }

        private void button4_Click(object sender, EventArgs e)
        {
            engine.Rate = -8;
            engine.Volume = 100;
        }

        private void button5_Click(object sender, EventArgs e)
        {
            if (engine.State == SynthesizerState.Speaking)
                engine.Pause();
            else engine.Resume();
        }

        private void button6_Click(object sender, EventArgs e)
        {
            String[] stories = { "The evolution of programming", "Java vs C#", "Red riding hood", "History of Informatics", "Rapunzel" };
            //LINQ
            var titles = from title in stories
                         where title.Contains("of")
                         select title.ToUpper();
            foreach (string s in titles)
            {
                richTextBox1.AppendText(s + Environment.NewLine);
            }
        }
    }
}
